SimRacingTools

GENERAL CATEGORY => News from staff => Topic started by: sequel on October 26, 2015, 03:06:58 pm

Title: Client minumum version 1.30
Post by: sequel on October 26, 2015, 03:06:58 pm
from now the minimum version allowed for client is the 1.30. All those who have yet old 1.21 should to update via full update